Mandrake Linux Security Advisory : squid (MDKSA-2005:014)

This script is Copyright (C) 2005-2013 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing a security update.

Description :

'infamous41md' discovered two vulnerabilities in the squid proxy cache
server. The first is a buffer overflow in the Gopher response parser
which leads to memory corruption and would usually crash squid
(CVE-2005-0094). The second is an integer overflow in the receiver of
WCCP (Web Cache Communication Protocol) messages. An attacker could
send a specially crafted UDP datagram that would cause squid to crash
(CVE-2005-0095).

The updated packages have been patched to prevent these problems.

See also :

http://www.squid-cache.org/Advisories/SQUID-2005_1.txt
http://www.squid-cache.org/Advisories/SQUID-2005_2.txt

Solution :

Update the affected squid package.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P)

Family: Mandriva Local Security Checks

Nessus Plugin ID: 16242 (mandrake_MDKSA-2005-014.nasl)

Bugtraq ID:

CVE ID: CVE-2005-0094
CVE-2005-0095

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now